## Sensu-Plugins-barman-checks

[![Build Status](https://travis-ci.org/sbrimhall/sensu-plugins-barman-checks.svg?branch=master)](https://travis-ci.org/sbrimhall/sensu-plugins-barman-checks)
[![Gem Version](https://badge.fury.io/rb/sensu-plugins-barman-checks.svg)](http://badge.fury.io/rb/sensu-plugins-barman-checks)
[![Code Climate](https://codeclimate.com/github/sbrimhall/sensu-plugins-barman-checks/badges/gpa.svg)](https://codeclimate.com/github/sbrimhall/sensu-plugins-barman-checks)
[![Test Coverage](https://codeclimate.com/github/sensu-plugins/sensu-plugins-barman-checks/badges/coverage.svg)](https://codeclimate.com/github/sbrimhall/sensu-plugins-barman-checks)
[![Dependency Status](https://gemnasium.com/sbrimhall/sensu-plugins-barman-checks.svg)](https://gemnasium.com/sbrimhall/sensu-plugins-barman-checks)

## Functionality

This plugin is for monitoring Barman PostgreSQL backups.  Each configured server on the barman instance is
checked to ensure it has backups, that backup status is successful, and that the age of backups is not too old.

## Files
 * bin/check-barman-backup-status.rb

## Usage

This plugin requires the use of sudo, as barman requires either the barman user or sudo user and we can only use the sensu user.  To configure sudo access, setup the following in your sudoers file:

`sensu ALL=(ALL) NOPASSWD:/usr/bin/barman, /opt/sensu/embedded/bin/ruby, /opt/sensu/embedded/bin/check-barman-backup-status.rb`

`Defaults:sensu !requiretty`

`/path_to_sensu/embedded/bin/ruby /path_to_sensu/embedded/bin/check-barman-backup-status.rb [-m MIN_NUMBER_BACKUPS] [--max-age MAX_AGE_IN_HOURS_OF_LATEST_BACKUP]`

## Installation

[Installation and Setup](http://sensu-plugins.io/docs/installation_instructions.html)

## Notes
